import { FetchResult } from '@apollo/client/core';
import { DocumentNode } from 'graphql';
import { Observable } from 'rxjs';
import { Apollo } from './Apollo';
import { MutationOptionsAlone, EmptyObject } from './types';
export declare class Mutation<TData = {}, TVariables = EmptyObject> {
    protected apollo: Apollo;
    readonly document: DocumentNode;
    client: string;
    constructor(apollo: Apollo);
    mutate(variables?: TVariables, options?: MutationOptionsAlone<TData, TVariables>): Observable<FetchResult<TData>>;
}
