import { ApolloQueryResult } from '@apollo/client/core';
import { DocumentNode } from 'graphql';
import { Observable } from 'rxjs';
import { Apollo } from './Apollo';
import { QueryRef } from './QueryRef';
import { WatchQueryOptionsAlone, QueryOptionsAlone, EmptyObject } from './types';
export declare class Query<TData = {}, TVariables = EmptyObject> {
    protected apollo: Apollo;
    readonly document: DocumentNode;
    client: string;
    constructor(apollo: Apollo);
    watch(variables?: TVariables, options?: WatchQueryOptionsAlone<TVariables>): QueryRef<TData, TVariables>;
    fetch(variables?: TVariables, options?: QueryOptionsAlone<TVariables>): Observable<ApolloQueryResult<TData>>;
}
