import { DocumentNode } from 'graphql';
import { Observable } from 'rxjs';
import { Apollo } from './Apollo';
import { SubscriptionOptionsAlone, ExtraSubscriptionOptions, SubscriptionResult, EmptyObject } from './types';
export declare class Subscription<TData = any, TVariables = EmptyObject> {
    protected apollo: Apollo;
    readonly document: DocumentNode;
    client: string;
    constructor(apollo: Apollo);
    subscribe(variables?: TVariables, options?: SubscriptionOptionsAlone<TVariables>, extra?: ExtraSubscriptionOptions): Observable<SubscriptionResult<TData>>;
}
